Bug 1563037 - kajongg won't install because it is missing a dependency for python3-twisted
Summary: kajongg won't install because it is missing a dependency for python3-twisted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-twisted
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-03 01:27 UTC by stan
Modified: 2018-08-14 21:07 UTC (History)
5 users (show)

Fixed In Version: python-twisted-18.4.0-4.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-14 21:07:39 UTC


Attachments (Terms of Use)

Description stan 2018-04-03 01:27:01 UTC
Description of problem:
Problem: conflicting requests
  - nothing provides python3-twisted >= 16.6.0 needed by kajongg-17.12.2-2.fc28.noarch

Version-Release number of selected component (if applicable):
Name        : python3-twisted
Version     : 16.4.1
Release     : 6.fc28
Architecture: x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Try to install kajongg on F28
2.
3.

Actual results:
The above error output

Expected results:
kajongg installs.

Additional info:
I'm not sure how the kajongg package was built with the python3-twisted version not in F28.

Comment 1 Tomas Toth 2018-04-04 15:52:25 UTC
This also prevents F27 (KDE) installs with kajongg-16.12.3-2.fc27.noarch from upgrade to F28.

# dnf system-upgrade download --releasever=28
Before you continue ensure that your system is fully upgraded by running "dnf --refresh upgrade". Do you want to continue [y/N]: y
Fedora 28 - x86_64     1.8 MB/s |  60 MB     00:33    
Last metadata expiration check: 0:00:00 ago on Wed 04 Apr 2018 05:50:02 PM CEST.
Error: 
 Problem: problem with installed package kajongg-16.12.3-2.fc27.noarch
  - kajongg-16.12.3-2.fc27.noarch does not belong to a distupgrade repository
  - nothing provides python3-twisted >= 16.6.0 needed by kajongg-17.12.2-2.fc28.noarch

Comment 2 Germano Massullo 2018-05-01 15:44:03 UTC
Version 18.4.0 is available

Comment 3 stan 2018-05-01 21:45:39 UTC
It hasn't shown up yet in the repositories (I have updates testing enabled).  Is it just a matter of waiting?  I don't see an 18.4 build in koji either. https://koji.fedoraproject.org/koji/packageinfo?packageID=15587
Is it only in rawhide?

Comment 4 Fedora Update System 2018-07-08 18:32:37 UTC
python-twisted-18.4.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-92b1ba0130

Comment 5 Fedora Update System 2018-07-08 21:22:28 UTC
python-twisted-18.4.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-92b1ba0130

Comment 6 stan 2018-07-09 20:52:23 UTC
Yes, this fixed the problem.  There was an issue with python2-sippy, as it still depends on the older version of python2-twisted, 16.4.1-9, that is still in the updates repository.

Comment 7 Fedora Update System 2018-07-17 17:24:51 UTC
python-twisted-18.4.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4e1b32a4a0

Comment 8 Fedora Update System 2018-07-19 20:18:42 UTC
python-twisted-18.4.0-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4e1b32a4a0

Comment 9 Knut J BJuland 2018-07-29 06:54:13 UTC
When I try to upgrade to the latest python-twisted with allow erasing It wat to remove 
Removing dependent packages:

fedmsg                                               noarch            1.1.1-1.fc28              @updates-testing             27 k
 fedmsg-notify                                        noarch            0.5.8-4.fc28              @fedora                     119 k
 gnome-shell-extension-fedmsg                         noarch            0.1.9-18.fc28             @fedora                      45 k
 python2-datanommer-models                            noarch            0.9.1-3.fc28              @updates-testing             64 k
 python2-fedmsg                                       noarch            1.1.1-1.fc28              @updates-testing            1.3 M
 python2-fedmsg-meta-fedora-infrastructure            noarch            0.26.0-1.fc28             @updates-testing            3.1 M
 python2-fmn                                          noarch            2.0.2-3.fc28              @fedora                      11 M
 python2-moksha-hub                                   noarch            1.5.10-1.fc28             @updates-testing            245 k
 python2-txws                                         noarch            0.9.1-10.fc28             @fedora                      45 k
 python2-txzmq                                        noarch            0.8.0-4.fc28              @fedora                     166 k

Comment 10 Fedora Update System 2018-07-29 21:47:13 UTC
python-twisted-18.4.0-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e292fb8793

Comment 11 Fedora Update System 2018-07-30 01:27:31 UTC
python-twisted-18.4.0-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e292fb8793

Comment 12 Robert-André Mauchin 2018-07-30 16:45:04 UTC
(In reply to Knut J BJuland from comment #9)
> When I try to upgrade to the latest python-twisted with allow erasing It wat
> to remove 

python-twisted-18.4.0-3.fc28 should fix that.

Comment 13 Fedora Update System 2018-07-30 19:12:52 UTC
python-twisted-18.4.0-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8c87b9b0a2

Comment 14 Fedora Update System 2018-07-31 18:32:45 UTC
python-twisted-18.4.0-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8c87b9b0a2

Comment 15 Fedora Update System 2018-08-14 21:07:39 UTC
python-twisted-18.4.0-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.